Update a price list
PUT
/price_lists/{id}Authorization
AuthorizationBearer token (JWT) · headerrequiredPath parameters
idintegerrequiredRequest body
requiredapplication/jsonnamestringprices_include_taxbooleanuse_price_comparison_for_vol_discountsbooleancontact_group_idsinteger[]Additive — existing group ids on the price list are not removed.
taxobjectShow propertiesHide properties
namestringratenumberResponses
200Price list updated
_linksHalLinksidintegernamestringcurrency_codestringprices_include_taxbooleanuse_price_comparison_for_vol_discountsbooleantaxnumbercontact_groups_countintegercreated_onstring<date-time>updated_onstring<date-time>Request
curl -X PUT "https://api.onbolder.com/v2/price_lists/0" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "Wholesale EUR - Revised"
}'const response = await fetch("https://api.onbolder.com/v2/price_lists/0", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"name": "Wholesale EUR - Revised"
})
});import requests
response = requests.put(
"https://api.onbolder.com/v2/price_lists/0",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"name": "Wholesale EUR - Revised"
},
)Response
{
"id": 10,
"name": "Wholesale EUR - Revised",
"currency_code": "EUR",
"_links": {
"self": {
"href": "https://api.onbolder.com/v2/price_lists/10"
}
}
}